Page MenuHomeFreeBSD

calendar(1): Updates and corrections for calendar files
ClosedPublic

Authored by gbe on Feb 8 2020, 11:21 AM.

Details

Summary

The calendar(1) files are outdated and sometimes incorrect. I updated
those files by comparing FreeBSDs calendar files across all major BSDs. For the
date corrections I cross-checked wikipedia to see if these corrections are
valid.

PR: 242909, 242918

Test Plan

none, these updates should work as-is.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

imp added a subscriber: imp.

Questions only on two items. Well done! Lincoln's birthday is likely important. Fillmore was in there because he had a funny name, I suspect, and could be omitted if that's not a good enough reason :)

usr.bin/calendar/calendars/calendar.history
18 ↗(On Diff #67975)

why remove Fillmore's birthday?
Can you move it to birthdays?

55 ↗(On Diff #67975)

why remove Lincoln's birthday?
Can you move it to .birthdays?

This revision is now accepted and ready to land.Mar 4 2020, 4:12 PM

I appreciate that you spent a lot of time on this, I'm just not sure why it should be shipped by FreeBSD base. Collecting lists of dates is something better suited to online resources like Wikipedia.

In D23581#526581, @cem wrote:

I appreciate that you spent a lot of time on this, I'm just not sure why it should be shipped by FreeBSD base. Collecting lists of dates is something better suited to online resources like Wikipedia.

This is not the forum to litigate that battle.

cem requested changes to this revision.Mar 4 2020, 10:19 PM

I'll just register my token disagreement with the premise and move on.

This revision now requires changes to proceed.Mar 4 2020, 10:19 PM
  • Add back Millard Fillmore birthday
gbe marked 2 inline comments as done.Mar 6 2020, 8:38 AM

@imp I added Millard Fillmore birthday to the respective calendar file. Lincoln's birthday was moved from history to the birthday file.

I made the requested changes for @imp and set this differential to accepted because of the acceptance from @imp and @pfg in the first place.

If we're keeping this in the tree, then we should land this.

I thought cem would want to do the commit.
I've been a bit sick, but I'll commit it this week if no one else does.

This revision was not accepted when it landed; it landed in state Needs Review.Mar 15 2020, 12:49 AM
This revision was automatically updated to reflect the committed changes.